unit EncryptDog;

interface

uses mEncryptUnit, CommonMessages, AuthFrm, mEncryptEditions;

  function CheckDogExists: Boolean;

implementation

function CheckDogExists: Boolean;
var
  bWantauthorize: Boolean;
begin
  InitialModuleEdition;
  
  {$IFDEF _mEncrypt}
  Result := False;
  bWantauthorize := False;
  case OpenDog of
    CS_NeedAuthorize:
    begin
      CommonMessage(pmtHint, [pmbOk], '您的试用时间已到，需要进行注册。');
      if not Authorize then
      begin
        Exit;
      end;
    end;
    CS_Error, CS_NoDog, CS_DogTypeError, CS_VerifyError:
    begin
      CommonMessage(pmtError, [pmbOk], '没有检查到加密锁。'#13#10'请购买正版软件。'
        + #13#10'如果插上加密锁后仍有问题，请拨打客服热线：(0756)3850888。');

      Exit;
    end;

    CS_EndDate:
    begin
      if (CommonMessage(pmtWarning, [pmbOk, pmbCancel],
      '您的使用时间已到，是否通过注册文件延长使用时间？') = pmOK) then
      begin
        if not Authorize then
        begin
          Exit;
        end;
      end
      else
      begin
        Exit;
      end;
    end;

    CS_CloseToLimitDate:
    begin
      CommonMessage(pmtHint, [pmbOk], '您的加密锁使用时间即将到期，如需延长使用时间，请联系客服中心。');
    end;

    CS_WantAuthorize:
      bWantAuthorize := True;
  end;
  if CheckDog = CS_VerifyError then
  begin
    CommonMessage(pmtError, [pmbOk], '没有检查到加密锁。'#13#10'请购买正版软件。'
      + #13#10'如果插上加密锁后仍有问题，请拨打客服热线：(0756)3850888。');

    Exit;
  end;
  if CheckDog = CS_DogTypeError then
  begin
    CommonMessage(pmtError, [pmbOk], '加密锁类型不正确，请检查。'
      + #13#10'如果插上加密锁后仍有问题，请拨打客服热线：(0756)3850888。');

    Exit;
  end;
  if bWantAuthorize then
  begin
    CommonMessage(pmtHint, [pmbOk], '感谢您购买软件！'#13#10'目前本产品处于试用状态，需要进行注册'
      + #13#10'了解详细信息请进入菜单“帮助”->“产品注册”。');
  end;
  {$ENDIF}

  Result := True;
end;

end.
